package com.ruoyi.project.production.service.impl.vo;

/**
 * @author: Wang Zi Wen
 * @email: wangggziwen@163.com
 * @datetime: 2022/10/31 14:16
 */
public class MonthlyProductionReportVO {

    /** 字典表dictLabel的值 */
    private String dictLabel;

    /** 前端表格最左列显示的文字 */
    private String title;

    private String unit;

    private String currently;

    private String jan;

    private String feb;

    private String mar;

    private String apr;

    private String may;

    private String jun;

    private String jul;

    private String aug;

    private String sep;

    private String oct;

    private String nov;

    private String dec;

    /** 总和 */
    private String total;

    /** 平均值 */
    private String avg;

    public String getAvg() {
        return avg;
    }

    public void setAvg(String avg) {
        this.avg = avg;
    }

    public String getDictLabel() {
        return dictLabel;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getCurrently() {
        return currently;
    }

    public void setCurrently(String currently) {
        this.currently = currently;
    }

    public String getJan() {
        return jan;
    }

    public void setJan(String jan) {
        this.jan = jan;
    }

    public String getFeb() {
        return feb;
    }

    public void setFeb(String feb) {
        this.feb = feb;
    }

    public String getMar() {
        return mar;
    }

    public void setMar(String mar) {
        this.mar = mar;
    }

    public String getApr() {
        return apr;
    }

    public void setApr(String apr) {
        this.apr = apr;
    }

    public String getMay() {
        return may;
    }

    public void setMay(String may) {
        this.may = may;
    }

    public String getJun() {
        return jun;
    }

    public void setJun(String jun) {
        this.jun = jun;
    }

    public String getJul() {
        return jul;
    }

    public void setJul(String jul) {
        this.jul = jul;
    }

    public String getAug() {
        return aug;
    }

    public void setAug(String aug) {
        this.aug = aug;
    }

    public String getSep() {
        return sep;
    }

    public void setSep(String sep) {
        this.sep = sep;
    }

    public String getOct() {
        return oct;
    }

    public void setOct(String oct) {
        this.oct = oct;
    }

    public String getNov() {
        return nov;
    }

    public void setNov(String nov) {
        this.nov = nov;
    }

    public String getDec() {
        return dec;
    }

    public void setDec(String dec) {
        this.dec = dec;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public MonthlyProductionReportVO() {
        }

    public MonthlyProductionReportVO(String dictLabel, String title, String unit) {
            this.dictLabel = dictLabel;
            this.title = title;
            this.unit = unit;
    }
}
